<?php


namespace App\Libs\Push\HuaWei\Admin\Msg\WebPush;


class WebPushHmsOptions
{
    private $link;

    private $fields;

    public function __construct()
    {
        $this->fields = array();
    }

    public function link($value) {
        $this->link = $value;
    }



    public function getFields() {
        return $this->fields;
    }

    public function buildFields() {


        $keys = array(
            'link'
        );
        foreach ($keys as $key) {
            if (isset($this->$key)) {
                $this->fields[$key] = $this->$key;
            }
        }
    }
}